Scrapy及其它包安装失败解决方案

scrapy包安装问题

  • Scrapy是一个纯python的包,依赖如下关键包:

    1. lxml, an efficient XML and HTML parser

    2. parsel, an HTML/XML data extraction library written on top of lxml,

    3. w3lib, a multi-purpose helper for dealing with URLs and web page encodings

    4. twisted, an asynchronous networking framework

    5. cryptography and pyOpenSSL, to deal with various network-level security needs

  • 因安装包的过程中,可能需要某些编译环境来编译一些模块。否则会出错呦(●ˇ∀ˇ●) 为减轻工作量,去装已经编译好的包。

  • Unofficial Windows Binaries for Python Extension Packages中使用ctrl+F寻找需要的包,需要根据本机python的版本

  • Tip: 32位还是64位是指python的位数,不是操作系统的!!!

推荐阅读更多精彩内容